<template>
  <div class="message-input">
      <textarea rows="1"
        placeholder="Tapez votre message" 
        v-autosize="message"
        v-model="message" 
        v-on:keypress.enter.exact.prevent="onEnter"
      ></textarea>
    </div>
</template>
<script lang="ts">
import Vue from 'vue';
export default Vue.component('MessageInput', {
  data: () => ({
    message: '',
  }),
  methods: {
    onEnter() {
      this.$emit('submit', this.message);
      this.message = '';
    },
  },
});
</script>
<style lang="scss" scoped>
.message-input {
  padding: 20px 0;
}
input {
  width: 80%;
  margin: auto;
}
textarea {
  min-height: 20px;
  max-height: 250px;
  background-color: transparent;
  max-width: 80%;
  min-width: 80%;
  padding: 5px 10px;
  resize: none;
}
</style>
